Subject: new line in bash 3.00/3.2.49

From: agneray christian <[email-masked]>
Date: Sun, 12 Dec 2010 15:25:35 +0000 (GMT)

Hello,
I have 2 new (to me) problems, probably with differents
causes, so I'm posting each one separatly:

1/ new line in bash 3.00/3.2.49

2/ heap allocation on Windows Vista

1/ new line in bash 3.00/3.2.49

I'm using "sh-3.00" since years on my winXP
desktop. I get used to fews bugs that can be easily avoid ( eg [ ! a file.txt ] ).

Lately, I tried the "bash, version 3.2.49" (Latest Cygwin DLL release version is
1.7.7-1). 

Running script now stop during the lexical parsing with
message like:

/cygdrive/c/open/wpkg/wa.sh:
wa.sh: line 38: syntax error near unexpected token `newline'

'cygdrive/c/open/wpkg/wa.sh:
wa.sh: line 38: `;;esac

When I add en # comment at the end of line, the error
vanishes.

The cause can easily be found. In the meantime (3.00 - 3.2)
the newline routine has been changed ; this issue has already been identified,
with no fixed decision cf (2006-06/msg00863)

So when I use a windows editor (notepad.exe) to edit my script I won't
escape this limitation.

Is there any action planned ?

http://cygwin.com/ml/cygwin/2006-06/msg00863.html

/cygdrive/c/Documents: line 48: syntax error near unexpected
token `newline'

I renamed the local "getline" into
"get_line" in all files, and it was enough.

Christian